Looks up IP attributes
GEThttps://ep.api.getfastah.com/whereis/v1/json/{ip}
Find information about an IPv4 or IPv6 address such as city, state, country, timezone, satellite ISP, and geo-coordinates. An API key is available via a free trial on AWS Marketplace (https://aws.amazon.com/marketplace/pp/B084VR96P3).
Authorizations
Fastah-Keystring · headerrequiredEvery request needs the Fastah API key from your AWS Marketplace subscription, sent in the Fastah-Key header. After you subscribe, AWS Marketplace sends you to the Fastah Developer Console, where you create the key.
format: <token>Path parameters
ipstringrequiredAn IP address. 129.222.224.1, or just 'auto' for IP auto-detection.
default: autoResponse
200application/json
This success response returns the approximate geo-coordinates, city name, country, and time zone of the specified IP.
ipstringrequiredthe IP address which is described in this response
isEuropeanUnionbooleanrequiredTrue if the country is a member state of the European Union
locationDataobjectrequiredGeo-location data for this IP
Show child attributes (10)
countryNamestringrequiredCountry name as a display string
countryCodestringrequiredCountry name as an ISO 3166-1 code
stateNamestringrequiredName of the first-order administrative entity below the country level, which is usually a state or province.
default:stateCodestringrequiredISO2 code, if available, of the first-order administrative entity below the country level, which is usually a state or province.
default:cityNamestringrequiredCity name
cityGeonamesIdinteger · uint64requiredLookup key for the city in Geonames.org
latnumberrequiredLatitude representing the approximate location
lngnumberrequiredLongitude representing the approximate location
tzstringrequiredTime zone for the region
continentCodestringrequired2-letter continent code
l10nobjectrequiredLocalization related attributes
Show child attributes (4)
currencyNamestringrequiredCurrency name in abbreviated form
currencyCodestringrequiredCurrency code in 3-letter ISO 4217 form
currencySymbolstringrequiredCurrency symbol in abbreviated form (e.g $ and not US$)
langCodesstring[]requiredList of language codes or locales that are used in the country
min items: 1satelliteobjectDetection of one of the two satellite internet service providers supported : SpaceX Starlink and ViaSat.
Show child attributes (1)
providerstringrequiredName of the satellite internet service provider, and empty string if this is not one.
default:400application/json
This response is returned when a malformed or invalid IP address was specified in the request.
errorobjectrequiredShow child attributes (1)
messagestringrequiredA description of what went wrong
404application/json
This response is returned when Fastah did not have any information about the requested IP.
errorobjectrequiredShow child attributes (1)
messagestringrequiredA description of what went wrong